0

I downloaded ExpressionEngine and moved files to my local server (Mamp Pro). I can see/enter /admin.php but after hitting the Install button it takes about 30 seconds and the process aborts with a server error on this URL http://my-site.local:8888/admin.php?C=wizard&M=do_install&language=english

The apache log says

[Thu Jul 04 17:15:07 2019] [error] [client ::1] FastCGI: comm with server "/Applications/MAMP/fcgi-bin/php7.0.33.fcgi" aborted: idle timeout (30 sec), referer: http://my-site.local:8888/admin.php
[Thu Jul 04 17:15:07 2019] [error] [client ::1] FastCGI: incomplete headers (0 bytes) received from server "/Applications/MAMP/fcgi-bin/php7.0.33.fcgi", referer: http://my-site.local:8888/admin.php

The DB is completely empty, so I guess nothing really happens. There are no entries in the PHP log.

I tried different PHP version (7.0 and 7.2) and different browsers. Before I tested with the ee_wirzard and saw everything green.

The mysql server doesn't run on the default port, but I can't enter the mysql host or a port anywhere. Perhaps this is the problem?

  • Your problem seems to be related to Mamp and no from ExpressionEngine. So I guess, you will have more chance to solve your issue asling on Mamp foruns. – Stéphane Jul 5 '19 at 5:30
  • I had no errors with WordPress, Concrete5, ProcessWire, PyroCMS, CraftCMS, Mgento, OctobreCMS … but yeah, it has nothing to do with ExpressionEngine. However, I just wanted to test. Don't need it – karamellbauer Jul 6 '19 at 7:18
  • Yes, sometimes could be just a tiny configuration problem. Never encountered the problem you described with MAMP and Expression Engine. – Stéphane Jul 7 '19 at 4:07
  • You could try the same thing using AMPPS ( ampps.com ) as your local environment. – BNetz Jul 7 '19 at 13:16
  • No, I won't use it all. Everything about ExpressionEngine makes a bad picture. The community looks very small (sorry guys), the forum is bad as hell and doesn't work and the product does look like 2010. I may be wrong, but I won't count on a sinking ship. – karamellbauer Jul 8 '19 at 9:52
0

I would set everything (ports) to default before giving up on it. I am using MAMP Pro (version 5.3(17956)) on Mojave with ExpressionEngine versions 3.5.17 and various versions of ExpressionEngine 5.x.

  • "MySQL 5.7.25 is configured to use port 3306"
  • Php version (default) 7.2.14

Oh yea, so is this MAMP Pro 5 for Mac or MAMAP Pro 4 for Windows? I use both, but I seem to have more issues in the Win version... could be though just that I am not quite as used to Win as Mac. And they are different versions for whatever reason.

| improve this answer | |
  • Thanks, but all in all the picture I got from ExpressionEngine was rather bad – karamellbauer Jul 11 '19 at 9:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.